| Jabber Guest iOS SDK

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Properties | List of all members
CJGuestVideoStatistics Class Reference

This class holds parameters specific to the video stream of the call. More...

`#import <JabberGuest/JabberGuest.h>`

Inheritance diagram for CJGuestVideoStatistics:

## Properties
NSInteger | receiveFrameWidth
| Width of video frames received in the current stream.
NSInteger | receiveFrameHeight
| Height of video frames received in the current stream.
float | receivedFramesPerSecond
| Number of video frames received per second in the current stream.
NSInteger | transmitFrameWidth
| Width of video frames transmitted in the current stream.
NSInteger | transmitFrameHeight
| Height of video frames transmitted in the current stream.
float | transmittedFramesPerSecond
| Number of video frames transmitted per second in the current stream.
Properties inherited from CJGuestMediaStatistics
CJGuestCodecStatistics * | receiveCodec
| Codec properties used to receive the media.
NSInteger | receivedPackets
| Packets received over the current media stream.
NSInteger | receivePacketsLost
| Packets lost over the current media stream.
float | receivePercentLost
| Percent of packets lost during the period of last observation.
float | receiveCumPercentLost
| Overall percent of packets lost over the current media stream.
NSInteger | receiveBitrate
| Average bitrate for stream received during the period of last observation (bits per second).
NSInteger | receiveJitter
| Average jitter (in milliseconds) for stream received during the period of last observation.
NSInteger | sentPackets
| Packets sent over the current media stream.
CJGuestCodecStatistics * | transmitCodec
| Codec properties used to transmit the media.
NSInteger | transmitPacketsReceived
| Packets received by remote endpoint(s) over the current media stream.
NSInteger | transmitPacketsLost
| Number of packets expected but not received by remote endpoint(s) over the current media stream.
float | transmitPercentLost
| Percent of packets expected but not received by remote endpoint(s) during the period covered by the most recent RTCP reception report received from the remote endpoint.
float | transmitCumPercentLost
| Percent of packets expected but not received by remote endpoint(s) over the current media stream.
NSInteger | transmitBitrate
| Average bitrate for stream sent during the period of last observation.
NSInteger | transmitJitter
| Jitter (in milliseconds) for stream sent during the period covered by the most recent RTCP reception report received from the remote endpoint.
NSInteger | transmitRoundTrip
| Round trip calculation based on most recent sent and received RTP and RTCP statistics.

## Detailed Description

This class holds parameters specific to the video stream of the call.